
Core - Task # 47003

Epic # 55575 (Accepted): Streamline JavaScript Code in the TYPO3 Backend

Status: Rejected Priority: Should have
Author: Benjamin Mack Category:
Created: 2013-04-06 Assigned To: Benjamin Mack
Updated: 2015-03-01 Due date:
TYPO3 Version: 6.1
PHP Version:
Complexity:
Sprint Focus:
Subject: Replace old DynTabMenu code with jQuery/RequireJS plugin
Description

On the JS code sprint, the task to work on the DynTabMenu to be abstracted and
cleaned is done via RequireJS + jQuery.

A completely new jQuery plugin is written that stores the current selected tab ID
in the local storage (available in IE8+) or falls back to the first tab of the menu
item.

The changes separates logic (JS) from structure (HTML), and removes
plain old JS.

Related issues:
related to Core - Bug # 62897: RTE: Change to tab menu div id breaks RTE load... New 2014-11-12
duplicated by Core - Bug # 47942: Move and change tab.js Resolved 2013-05-05

Associated revisions
Revision c362ba52 - 2014-11-12 11:13 - Benjamin Mack

[TASK] Replace DynTabMenu with jQuery/RequireJS plugin

The DynTabMenu code can be abstracted and
cleaned - done via RequireJS + jQuery.

A completely new jQuery plugin is written that stores the current
selected tab ID in the local storage (available in IE8+) or falls back
to the first tab of the menu item.
The changes separates logic (JS) from structure (HTML), and removes
plain old JS.

Resolves: #47003
Releases: master
Change-Id: Ib81606cc653ccf7d58105f463bc6a09eb742b7d5
Reviewed-on: http://review.typo3.org/19708
Reviewed-by: Alexander Opitz <opitz.alexander@googlemail.com>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
History
#1 - 2013-04-06 22:54 - Benjamin Mack
- Tracker changed from Bug to Task

#2 - 2013-04-06 22:56 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19708

#3 - 2013-07-02 17:10 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19708

#4 - 2013-07-02 19:05 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19708

#5 - 2014-01-26 22:26 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/19708

#6 - 2014-01-26 22:29 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/19708

#7 - 2014-02-02 11:14 - Daniel Siepmann
- Parent task set to #55575

#8 - 2014-03-08 12:24 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/19708

#9 - 2014-08-27 11:34 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/19708

#10 - 2014-10-21 08:00 - Gerrit Code Review
Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/19708

#11 - 2014-10-29 02:19 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/19708

#12 - 2014-11-10 16:44 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/19708

#13 - 2014-11-10 19:42 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/19708

#14 - 2014-11-10 23:42 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/19708

#15 - 2014-11-12 11:31 - Benjamin Mack
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c362ba52cf04d4bf93a5043be7fc39c27671cbcf.

#16 - 2014-11-13 06:17 - Stanislas Rolland
- Status changed from Resolved to New

Following this change, FormEngine->dynNestedStack is incorrect. It seems that the numbering of tabs has changed. But there are also sometimes
more that one element at the same level in the stack.

Therefore the RTE cannot display correctly in a tab. Most obviously, the height of the iframe is wrong as well as the width of ExtJS comboboxes. This
is because browsers cannot calculate and set dimensions inside an element with display: none.

The problem does not appear outside a tab. For example, when using the full screen RTE wizard.

The problem does not appear in IREE elements, it they are not inside a tab.

The problem occurs also in flexforms that are rendered with tabs containing RTE-enabled fields.
#17 - 2015-01-30 11:49 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36401

#18 - 2015-03-01 20:42 - Benjamin Mack
- Status changed from Under Review to Rejected

solved differently now.

2015-08-04 4/4

http://review.typo3.org/36401

